Loading...
Searching...
No Matches
OBConversion::StreamState Struct Reference

`#include <obconversion.h>`

## Public Member Functions

| StreamState ()
| ~StreamState ()
void | pushInput (OBConversion &conv)
void | popInput (OBConversion &conv)
void | pushOutput (OBConversion &conv)
void | popOutput (OBConversion &conv)
bool | isSet () const

## Public Attributes

std::ios * | pStream
std::vector< std::ios * > | ownedStreams

## Constructor & Destructor Documentation

## StreamState()

StreamState | ( |  | ) |

inline

## ~StreamState()

~StreamState | ( |  | ) |

inline

## Member Function Documentation

## pushInput()

void pushInput | ( | OBConversion & | conv | ) |

Referenced by OBConversion::Convert().

## popInput()

void popInput | ( | OBConversion & | conv | ) |

Referenced by OBConversion::Convert().

## pushOutput()

void pushOutput | ( | OBConversion & | conv | ) |

Referenced by OBConversion::Convert(), and OBConversion::WriteString().

## popOutput()

void popOutput | ( | OBConversion & | conv | ) |

Referenced by OBConversion::Convert(), and OBConversion::WriteString().

## isSet()

bool isSet | ( |  | ) | const

inline

Referenced by OBConversion::Convert().

## Member Data Documentation

## pStream

std::ios* pStream

Referenced by isSet(), popInput(), popOutput(), pushInput(), pushOutput(), and StreamState().

## ownedStreams

std::vector<std::ios *> ownedStreams

Referenced by popInput(), popOutput(), pushInput(), pushOutput(), and ~StreamState().

The documentation for this struct was generated from the following files:

- obconversion.h
- obconversion.cpp